name='obsidian'
version=1.0.0
release=1
desc='A powerful knowledge base that works on top of a local folder of plain text Markdown files'
homepage='https://obsidian.md/'
architectures=('amd64')
license=('custom:Commercial')
provides=('obsidian')
conflicts=('obsidian')

deps_rpm_redos=('zlib' 'hicolor-icon-theme' 'fuse3' 'npm')

sources_amd64=("https://github.com/obsidianmd/obsidian-releases/releases/download/v${version}/obsidian-${version}.tar.gz"
               "https://github.com/archlinux/svntogit-community/blob/packages/obsidian/repos/community-x86_64/obsidian.desktop"
               "https://github.com/archlinux/svntogit-community/blob/packages/obsidian/repos/community-x86_64/obsidian.sh"
)
checksums_amd64=('SKIP')

prepare() {
npm install --engine-strict asar
cd "${srcdir}"
~/node_modules/asar/bin/asar.js ef "${name}-${version}/resources/obsidian.asar" icon.png
}

package() {
  # binaries
install -Dm755 "${name}.sh" "${pkgdir}/usr/bin/obsidian"

  # desctop file
  install -Dm644 "${pkgname}.desktop" -t "${pkgdir}/usr/share/applications/"
  install -Dm644 ./icon.png "${pkgdir}/usr/share/pixmaps/obsidian.png"
cd "${srcdir}/${name}-${version}/resources/"
  install -dm0755 "$pkgdir/usr/lib/obsidian"
find . -type d -exec install -d {,"${pkgdir}/usr/lib/obsidian/"}{} \;
find . -type f -exec install -D {,"${pkgdir}/usr/lib/obsidian/"}{} \;
}
